Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CheckChatUsernameResult

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.CheckChatUsernameResult

Direct Known Subclasses:
  `TdApi.CheckChatUsernameResultOk`, `TdApi.CheckChatUsernameResultPublicChatsTooMany`, `TdApi.CheckChatUsernameResultPublicGroupsUnavailable`, `TdApi.CheckChatUsernameResultUsernameInvalid`, `TdApi.CheckChatUsernameResultUsernameOccupied`, `TdApi.CheckChatUsernameResultUsernamePurchasable`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.CheckChatUsernameResult extends TdApi.Object permits TdApi.CheckChatUsernameResultOk, TdApi.CheckChatUsernameResultUsernameInvalid, TdApi.CheckChatUsernameResultUsernameOccupied, TdApi.CheckChatUsernameResultUsernamePurchasable, TdApi.CheckChatUsernameResultPublicChatsTooMany, TdApi.CheckChatUsernameResultPublicGroupsUnavailable
This class is an abstract base class. Represents result of checking whether a username can be set for a chat.

## Constructor Summary

Constructors
Constructor
Description
`CheckChatUsernameResult()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CheckChatUsernameResult

public CheckChatUsernameResult()
Default class constructor.